##
##  yacc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         yacc
Summary:      Yet Another Compiler Compiler (YACC)
URL:          http://heirloom.sourceforge.net/devtools.html
Vendor:       Sun, Gunnar Ritter et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      BSD/CDDL
Version:      070527
Release:      20080101

#   list of sources
Source0:      http://switch.dl.sourceforge.net/heirloom/heirloom-devtools-%{version}.tar.bz2

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, gcc, make
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no
Conflicts:    bison

%description
    This is the traditional Yet Another Compiler Compiler (YACC) from
    the Heirloom Development Tools package, which in turn contains
    a portable derivative of the YACC utility released by Sun as
    part of OpenSolaris. The OpenSolaris utility was in turn derived
    from the original Unix versions, and are assumed be conforming
    implementations of the POSIX standard.

%track
    prog yacc = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/heirloom/
        regex     = heirloom-devtools-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q -n heirloom-devtools-%{version}

%build
    %{l_make} %{l_mflags} \
        SUBDIRS="yacc" \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        BINDIR=%{l_prefix}/bin \
        LIBDIR=%{l_prefix}/lib \
        MANDIR=%{l_prefix}/man

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install \
        SUBDIRS="yacc" \
        ROOT=$RPM_BUILD_ROOT \
        BINDIR=%{l_prefix}/bin \
        LIBDIR=%{l_prefix}/lib \
        MANDIR=%{l_prefix}/man \
        INSTALL="%{l_shtool} install"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

